Bug 1393534 - Rebase request for crash utility RHEL7.4 errata
Summary: Rebase request for crash utility RHEL7.4 errata
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: crash
Version: 7.4
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Dave Anderson
QA Contact: Qiao Zhao
Marie Dolezelova
URL:
Whiteboard:
Keywords: Rebase
Depends On:
Blocks: 1394638 1404314
TreeView+ depends on / blocked
 
Reported: 2016-11-09 18:58 UTC by Dave Anderson
Modified: 2019-02-19 21:41 UTC (History)
2 users (show)

(edit)
_crash_ rebased to version 7.1.9

With this update, the _crash_ packages have been upgraded to upstream version 7.1.9, which provides a number of bug fixes and enhancements over the previous version.
Clone Of:
(edit)
Last Closed: 2017-08-01 22:04:38 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:2019 normal SHIPPED_LIVE crash bug fix and enhancement update 2017-08-01 19:31:13 UTC

Internal Trackers: 1508293

Description Dave Anderson 2016-11-09 18:58:53 UTC
Description of problem:

The RHEL7.4 errata version of the crash utility should be
rebased to the current upstream version, currently at version
crash-7.1.6, and soon to be released crash-7.1.7.  There are 
over 60 new features and other bug fixes that have been applied to
the upstream version make the tool significantly more useful
than the current RHEL7.3 version, which is based upon crash-7.1.5.
This includes new options such as "live" QEMU ramdump dumpfiles,
KASLR support for x86_64 and ARM64, a new "bt -v" command to check
all tasks for stack overflows, an enhancement to determine structure
member data if the member is contained within an anonymous structure
or union, a more efficient "list -s" command for dumping members of
lists with thousands of members, support for the radix MMU in
Power ISA 3.0 machines, and PPC64/BOOK3E virtual memory management,
support for the new CONFIG_THREAD_INFO_IN_TASK kernel configuration,
and many bugfixes, including for the ARM64 "bt" command, the "tree -t"
radix-tree dumper, the "dis" and "mach" command for KASLR kernels,

It is far more efficient, and far safer, to rebase the crash 
package than to attempt to selectively backport individual patches.
As the owner and upstream maintainer, one of my primary goals is,
and always has been, to maintain backwards-compatibility whenever 
new fixes or features are applied.  The risk of regression is 
less with a rebase than it would be with selective backports.

It should be noted that nothing goes into the upstream version 
without my approval.  I perform all my testing on Fedora and RHEL
kernel versions, where each individual change is meticulously 
tested against a sample set of RHEL3, RHEL4, RHEL5, RHEL6, RHEL7,
Fedora, and soon, pegas kernel crash dumps.

Details regarding recent fixes, features and enhancements can be found in:

  http://people.redhat.com/anderson/crash.changelog.html


Version-Release number of selected component (if applicable):

crash-7.1.5-2.el7

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 4 Dave Anderson 2017-04-25 13:46:26 UTC
The simple rebase description is fine.  I went ahead and changed it to
crash version 7.1.9.

Comment 7 errata-xmlrpc 2017-08-01 22:04:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:2019


Note You need to log in before you can comment on or make changes to this bug.